const pluginSyntaxObjectRestSpread = require('babel-plugin-syntax-object-rest-spread');
const pluginTransformDecoratorsLegacy = require('babel-plugin-transform-decorators-legacy');
const pluginTransformClassProperties = require('babel-plugin-transform-class-properties');
const pluginTransformExportExtensions = require('babel-plugin-transform-export-extensions');

exports.buildPreset = function(context, opts = {}) {
  return {
    plugins: [
      pluginSyntaxObjectRestSpread,
      pluginTransformDecoratorsLegacy.default,
      pluginTransformClassProperties,
      pluginTransformExportExtensions,
    ],
  };
};
